## pygpgme 0.1+bzr20090820

=== Makefile ===
PYTHON = python2.4

build:
	$(PYTHON) setup.py build_ext -i

check: build
	GPG_AGENT_INFO= $(PYTHON) test_all.py -v

clean:
	$(PYTHON) setup.py clean

dist: build
	$(PYTHON) setup.py sdist --force-manifest

.PHONY: build check clean dist
