=== debian/changelog ===
pygpgme (0.1+bzr20090820-3) unstable; urgency=low

  * debian/patches/largefile-support: Enable support for large files by default
  * Remove quilt patch logic; it's no longer needed in source format 3.0 (quilt)
  * Add DEP-3 headers for all patches

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 17 Apr 2011 22:44:11 +0100

pygpgme (0.1+bzr20090820-2) unstable; urgency=low

  * Build for Python 2.7 as supported version
  * debian/control: Use only X-Python-Version
  * Bump required build-dependency for python-support
  * Update my email address
  * Standards version 3.9.2
  * debian/rules, debian/patches/testsuite-all-versions: Run test
    suite at build time, for each supported Python version
  * Source format 3.0 (quilt)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 17 Apr 2011 00:11:00 +0100

pygpgme (0.1+bzr20090820-1) unstable; urgency=low

  * Sync to Upstream bzr 2009-08-20
  * Fix "Fails to create a Context unless gpgme_check_version is called
    manually" using custom patch until upstream doesn't fix it (Closes: #549921)

 -- Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>  Wed, 14 Oct 2009 20:05:15 +0000

pygpgme (0.1+bzr20090429-1) unstable; urgency=low

  * Initial release. (Closes: #511170: ITP: pygpgme -- A Python wrapper
    for the GPGME library)

 -- Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>  Thu, 16 Jul 2009 19:30:00 -0300
