=== debian/control ===
Source: pygpgme
Section: python
Priority: optional
Maintainer: Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
Build-Depends: debhelper (>= 7.2.8), python-support (>= 0.90.0~), python-all-dev, libgpgme11-dev, python-all-dbg
Standards-Version: 3.9.2
Homepage: https://launchpad.net/products/pygpgme
X-Python-Version: >= 2.4
Uploaders: Jonathan Wiltshire <jmw@debian.org>

Package: python-gpgme
Architecture: any
Provides: ${python:Provides}
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: python wrapper for the GPGME library
 PyGPGME is a Python module that lets you sign, verify, encrypt
 and decrypt messages using the OpenPGP format.
 It is built on top of the GNU Privacy Guard and the
 GPGME library.

Package: python-gpgme-dbg
Priority: extra
Architecture: any
Section: debug
Provides: ${python:Provides}
Depends: python-dbg, python-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: python wrapper for the GPGME library (debug extension)
 PyGPGME is a Python module that lets you sign, verify, encrypt
 and decrypt messages using the OpenPGP format.
 It is built on top of the GNU Privacy Guard and the
 GPGME library.
 .
 This package contains the extension built for the Python debug interpreter.
