=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this line to make output verbose
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PKGDIR=$(CURDIR)/debian/python-gpgme

clean:
	# Enforce removal of *.pyc files. Apparently dh_clean does
	# not perform find on provided filename patterns.
	rm -rf build/
	find . -name *.pyc -exec rm -f {} \;
	find . -name *.so -exec rm -f {} \;
	dh_clean install-stamp build-stamp \
		$(PYVERS:%=install-python%) $(PYVERS:%=build-python%) \
		$(PYVERS:%=install-debug-python%) $(PYVERS:%=build-debug-python%)

build: build-stamp

build-stamp: $(QUILT_STAMPFN) $(PYVERS:%=build-python%) $(PYVERS:%=build-debug-python%)
	touch $@

build-python%:
	python$* setup.py build
	PYTHON=python$* make check
	touch $@

build-debug-python%:
	python$*-dbg setup.py build
	touch $@

install: install-stamp
install-stamp: $(PYVERS:%=install-python%) $(PYVERS:%=install-debug-python%)
	dh_install
	touch $@

install-python%: build
	python$* setup.py install \
		--skip-build --root $(PKGDIR)
	touch $@

install-debug-python%: build
	python$*-dbg setup.py install \
		--skip-build --root $(PKGDIR)-dbg/
	find $(PKGDIR)-dbg/usr/ ! -type d ! -name '*_d\.so' -delete
	find $(PKGDIR)-dbg/usr/ -depth -empty -delete
	touch $@

#override_dh_auto_install:
#	python setup.py install --no-compile --root=$(CURDIR)/debian/python-gpgme


binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs
	dh_pysupport -a
	dh_makeshlibs -a
	dh_strip -ppython-gpgme --dbg-package=python-gpgme-dbg
	rm -rf $(PKGDIR)-dbg/usr/share/doc/python-gpgme-dbg
	ln -s python-gpgme $(PKGDIR)-dbg/usr/share/doc/python-gpgme-dbg
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -- -Z bzip2

binary-indep:
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs 
	dh_installchangelogs
	dh_installexamples
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -- -Z bzip2

binary: binary-indep binary-arch

get-orig-source:
	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*bzr([0-9]{4})([0-9]{2})([0-9]{2}).*,\1-\2-\3,p'); \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
	bzr export --root=pygpgme-$$VER -r date:$$REV ../pygpgme_$$VER.orig.tar.gz lp:pygpgme 

.PHONY: build clean binary-indep binary-arch binary install
