## pygpgme 0.2

=== debian/changelog ===
pygpgme (0.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 07 Jan 2012 22:09:27 +0000

pygpgme (0.2-1) experimental; urgency=low

  * New upstream release (Closes: #638795)
  * Convert to dh_python2
  * Refresh patches for new upstream
  * debian/python-gpgme.examples: Upstream no longer ships example file
  * Remove quilt logic, not necessary with format 3.0 (quilt)
  * Convert to debhelper 8 and dh auto-sequencer

 -- Jonathan Wiltshire <jmw@debian.org>  Mon, 17 Oct 2011 00:47:49 +0100
