=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
-Build-Depends: debhelper (>= 7.2.8), python-support (>= 0.90.0~), python-all-dev, libgpgme11-dev, python-all-dbg
+Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~), libgpgme11-dev, python-all-dbg (>= 2.6.6-3~)
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/products/pygpgme
 X-Python-Version: >= 2.4
@@ -23,7 +23,8 @@
 Architecture: any
 Section: debug
 Provides: ${python:Provides}
-Depends: python-dbg, python-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: python-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: python-dbg
 Description: python wrapper for the GPGME library (debug extension)
  PyGPGME is a Python module that lets you sign, verify, encrypt
  and decrypt messages using the OpenPGP format.
