## pygpgme 0.3

=== debian/changelog ===
pygpgme (0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * ensure that test suite works with gpg 2.1.x (Closes: #797776)
    - drop patch that forces 1.4.x during passphrase_cb
    - drop all unused debian/patches
    - rely on gpg-agent
    - imported keys are counted differently
    - require the use of loopback pinentry for (deprecated) passphrase_cb

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Feb 2016 09:30:40 -0500

pygpgme (0.3-1) unstable; urgency=medium

  * New upstream release (Closes: #665731, #696636)
  * Drop all current patches as pointed out by upstream
  * Build/test for Python 3 (thanks to sterling work by
    Andrew Starr-Bochicchio)
  * Patch those tests for which gnupg2 invokes an agent to use
    gnupg1 instead. This is a workaround for Launchpad #999949
  * debian/rules: clean up properly in clean

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 22 Mar 2014 23:50:17 +0000

pygpgme (0.2-3) unstable; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Add python-gpgme-dbg.preinst to handle transitioning
    /usr/share/doc/python-gpgme-dbg from a symlink to a directory.
    (Closes: #700780).

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 24 Feb 2013 18:33:37 +0000
