=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Miguel Di Ciurcio Filho <miguel@ic.unicamp.br>
-Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~), libgpgme11-dev, python-all-dbg (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.0~), python-all-dev (>= 2.6.6-3~), python3-all-dev, libgpgme11-dev, python-all-dbg (>= 2.6.6-3~), python3-all-dbg, gnupg2, gnupg-agent
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/products/pygpgme
 X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.2
 Uploaders: Jonathan Wiltshire <jmw@debian.org>
 
 Package: python-gpgme
@@ -32,3 +33,28 @@
  GPGME library.
  .
  This package contains the extension built for the Python debug interpreter.
+
+Package: python3-gpgme
+Architecture: any
+Provides: ${python3:Provides}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Description: python wrapper for the GPGME library (Python 3)
+ PyGPGME is a Python module that lets you sign, verify, encrypt
+ and decrypt messages using the OpenPGP format.
+ It is built on top of the GNU Privacy Guard and the
+ GPGME library.
+
+Package: python3-gpgme-dbg
+Priority: extra
+Architecture: any
+Section: debug
+Provides: ${python3:Provides}
+Depends: python3-gpgme (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: python3-dbg
+Description: python wrapper for the GPGME library (debug extension) (Python 3)
+ PyGPGME is a Python module that lets you sign, verify, encrypt
+ and decrypt messages using the OpenPGP format.
+ It is built on top of the GNU Privacy Guard and the
+ GPGME library.
+ .
+ This package contains the extension built for the Python debug interpreter.
