=== debian/watch ===
version=3
https://launchpad.net/pygpgme/+download http://launchpad.net/pygpgme/.*/pygpgme-(.+).tar.gz
